org.keycloak.models.jpa.entities

## Class ClientScopeEntity

- java.lang.Object
- - org.keycloak.models.jpa.entities.ClientScopeEntity

-     @Entity
      public class ClientScopeEntity
      extends Object

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Collection<ClientScopeAttributeEntity>` | `attributes`
    `protected String` | `realmId`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClientScopeEntity()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `Collection<ClientScopeAttributeEntity>` | `getAttributes()`
    `String` | `getDescription()`
    `String` | `getId()`
    `String` | `getName()`
    `String` | `getProtocol()`
    `Collection<ProtocolMapperEntity>` | `getProtocolMappers()`
    `String` | `getRealmId()`
    `Set<String>` | `getScopeMappingIds()`
    `int` | `hashCode()`
    `void` | `setAttributes(Collection<ClientScopeAttributeEntity> attributes)`
    `void` | `setDescription(String description)`
    `void` | `setId(String id)`
    `void` | `setName(String name)`
    `void` | `setProtocol(String protocol)`
    `void` | `setProtocolMappers(Collection<ProtocolMapperEntity> protocolMappers)`
    `void` | `setRealmId(String realmId)`
    `void` | `setScopeMappingIds(Set<String> scopeMappingIds)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### realmId

          protected String realmId

    - #### attributes

          protected Collection<ClientScopeAttributeEntity> attributes

  - ### Constructor Detail

    - #### ClientScopeEntity

          public ClientScopeEntity()

  - ### Method Detail

    - #### getRealmId

          public String getRealmId()

    - #### setRealmId

          public void setRealmId(String realmId)

    - #### getId

          public String getId()

    - #### setId

          public void setId(String id)

    - #### getName

          public String getName()

    - #### setName

          public void setName(String name)

    - #### getDescription

          public String getDescription()

    - #### setDescription

          public void setDescription(String description)

    - #### getProtocolMappers

          public Collection<ProtocolMapperEntity> getProtocolMappers()

    - #### setProtocolMappers

          public void setProtocolMappers(Collection<ProtocolMapperEntity> protocolMappers)

    - #### getProtocol

          public String getProtocol()

    - #### setProtocol

          public void setProtocol(String protocol)

    - #### getAttributes

          public Collection<ClientScopeAttributeEntity> getAttributes()

    - #### setAttributes

          public void setAttributes(Collection<ClientScopeAttributeEntity> attributes)

    - #### getScopeMappingIds

          public Set<String> getScopeMappingIds()

    - #### setScopeMappingIds

          public void setScopeMappingIds(Set<String> scopeMappingIds)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

Copyright © 2021 JBoss by Red Hat. All rights reserved.